About This File

Framework 7.6 Initial Setup Help

Copyright © 2000–2007 Genesys Telecommunications Laboratories, Inc. All rights reserved.

76fr_initial-setup-help_10-2007_v7.6.001.00

The information contained herein is proprietary and confidential and cannot be disclosed or duplicated without the prior written consent of Genesys Telecommunications Laboratories, Inc.

About Genesys

Genesys Telecommunications Laboratories, Inc., a subsidiary of Alcatel-Lucent, is 100% focused on software for call centers. Genesys recognizes that better interactions drive better business and build company reputations. Customer service solutions from Genesys deliver on this promise for Global 2000 enterprises, government organizations, and telecommunications service providers across 80 countries, directing more than 100 million customer interactions every day. Sophisticated routing and reporting across voice, e-mail, and Web channels ensure that customers are quickly connected to the best available resource—the first time. Genesys offers solutions for customer service, help desks, order desks, collections, outbound telesales and service, and workforce management. Visit www.genesyslab.com for more information.

Each product has its own documentation for online viewing on the Genesys Technical Support website or on the Genesys Documentation Library CD, which is available from Genesys upon request. For more information, contact your sales representative.

Notice

Although reasonable effort is made to ensure that the information in this document is complete and accurate at the time of release, Genesys Telecommunications Laboratories, Inc., cannot assume responsibility for any existing errors. Changes and/or corrections to the information contained in this document may be incorporated in future versions.

Your Responsibility for Your System’s Security

You are responsible for the security of your system. Product administration to prevent unauthorized use is your responsibility. Your system administrator should read all documents provided with this product to fully understand the features available that reduce your risk of incurring charges for unlicensed use of Genesys products.

Trademarks

Genesys and the Genesys logo are registered trademarks of Genesys Telecommunications Laboratories, Inc., in the USA and/or other countries. All other trademarks and trade names referred to in this document are the property of other companies.

Technical Support from VARs

If you have purchased this software from a value-added reseller (VAR), please contact the VAR for technical support.

Technical Support from Genesys

If you have purchased support directly from Genesys, please contact Genesys Technical Support at the following regional numbers:

North and Latin America | 888-369-5555 or 506-674-6767 | support@genesyslab.com
Europe, Middle East, and Africa | +44-(0)-118-974-7002 | support@genesyslab.co.uk
Asia Pacific | +61-7-3368-6868 | support@genesyslab.com.au
Japan | +81-3-5649-6821 | support@genesyslab.co.jp

Before contacting technical support, please refer to the Genesys Technical Support Guide for complete contact information and procedures.

Ordering Information

For complete information about ordering Genesys products, please see Licensing Genesys Products (for 6.5 and earlier products) or Genesys 7 Licensing Guide (for 7.0 and later products).

Released by

Genesys Telecommunications Laboratories, Inc.
www.genesyslab.com


Overview: Initial Setup

Overview

In setting up Framework 7.6, you must begin by installing and configuring the Configuration Layer and its components. You must complete the installation and configuration before you try to use Framework Configuration Wizards or deploy other Framework components.

This Help file leads you through this process.

Before installing Framework 7.6 components, review installation prerequisites.

Warning! During a UNIX installation, all files are copied into a user-specified directory. The install process does not create any other directories in that user-specified directory. Therefore, do not install different products into the same directory.

To set up the Configuration Layer:

  1. Install DB Server.

  2. Configure DB Server.

  3. Install Configuration Server.

  4. Configure Configuration Server.

  5. Initialize Configuration Database.

  6. Start DB Server.

  7. Start Configuration Server.

  8. Install Configuration Manager.

  9. Start Configuration Manager.

  10. Modify the Configuration Server Application object.

  11. Create the DB Server Application object.

After you set up the Configuration Layer, you can install Configuration Wizards from any product CD. This automatically installs Wizard Manager, which you can use to deploy other Framework components and various Genesys solutions.

Note: Genesys highly recommends that you create a Host object before you deploy any other Genesys solutions.


Printing This Help File

You can print a single topic (page) or all the topics (pages) within a single book. You cannot, however, print the entire Help file at once.

On the Table of Contents, select a topic or book and then do the following:

  1. Select the Print button.

  2. In the Print Topics dialog box, select either:

    • Print the selected topic

    • Print the selected heading and all subtopics

  3. Select OK.


Prerequisites

Review the following prerequisites for your Framework 7.6 installation.

Databases

You or your database administrator must create a database in your database management system (DBMS) before you start Genesys installation. You will use this database as your Genesys Configuration Database.

Genesys recommends that you or your database administrator back up your Genesys databases on a regular basis.

Refer to the section called “Network Locations for Framework Components” in the Framework 7.6 Deployment Guide for recommendations on database sizing.

Refer to your DBMS documentation for instructions on how to create a new database.

Refer to the appendix “Installation Worksheet” in the Framework 7.6 Deployment Guide for the list of database parameters to be used in Genesys installation.

Hardware and Network Environment

Genesys recommends that you or your IT specialist assign host computers to Genesys software before you start Genesys installation. Keep in mind the following:

  • Do not install all the Genesys server applications on the same host.

  • When installing a few server applications on the same host computer, prevent them (except for Configuration Server) from using the swap area.

Refer to “Network Locations for Framework Components” in the Framework 7.6 Deployment Guide for recommendations on server locations.


Windows Services

The Genesys setup procedures on Windows operating systems automatically install all Genesys daemon applications as Windows services, with the following properties:

  • All daemon applications are installed as Windows services with the autostart capability.

  • In the Log On tab of the Windows Service properties dialog box, Allow Service to Interact with Desktop is not selected.

  • Log output is not directed to a console window for an application that is installed as a Windows Service.

The Management Layer correctly handles applications installed as Windows services. That is, the Management Layer:

  • Displays the status of these applications.

  • Displays runtime status of these applications.

  • Starts and stops these applications in the correct order during solution activation even though the applications are installed as Windows services with the autostart capability.

For any limitations specific to particular applications, refer to solution-specific documentation.


Installing Deployment Manager

Deployment Manager

Management Framework Deployment Manager (referred to as Deployment Manager elsewhere in this Help file) operates only on Windows. However, you can use it to install DB Server, Configuration Server, and some other Framework components to either a local or a remote host running any Genesys-supported operating system.

To install Deployment Manager:

  1. From the Management Framework 7.6 product CD, open the deployment_manager directory.

  2. Locate and double-click the Setup.exe file to start the Installation Wizard.

  3. On the Welcome page, click Next.

  4. On the Select Destination Location page, specify the destination directory in which you want Deployment Manager installed. Select the default, C:\Program Files\GCTI\Management Framework Deployment Manager, or click Browse to select a different location. Click Next to set the location.

  5. Click Install to start the installation.

  6. When installation is complete, click Finish to close the Wizard.

When the setup program is finished, Deployment Manager is ready to run.


Installing DB Server

Overview: Installing DB Server

This section describes how to install the DB Server that serves the Configuration Layer. This DB Server allows Configuration Server to access the Configuration Database. Consequently, you must configure DB Server through a local configuration file so that it starts before any other component.

Although you install DB Server before Configuration Server, you must decide on the host and port for Configuration Server prior to installing DB Server.

Warning! Do not use the DB Server that provides access to the Configuration Database to access any other database.

To install DB Server, use Deployment Manager or the manual procedure.

Genesys recommends that you install DB Server on the same computer where the DBMS runs or where the corresponding DBMS client exists.


Installing DB Server > Installing with Deployment Manager

Overview: Installing with Deployment Manager

To install DB Server using Deployment Manager:

  1. Install Deployment Manager if it has not already been installed.

  2. Install DB Server on either a UNIX or Windows host.

  3. Set the system environment so that DB Server works correctly with a DBMS client.


Installing DB Server

Installing DB Server > Installation with Deployment Manager

Installing DB Server using Deployment Manager

To install DB Server using Deployment Manager:

  1. Insert the Management Framework 7.6 product CD into the CD-ROM drive that is accessible from the computer on which you installed Deployment Manager.

  2. Start Deployment Manager from Start > Programs > Genesys Solutions > Framework > Management Framework Deployment Manager.

  3. Click DB Server in the list of applications to install. This launches the DB Server Deployment Wizard.

  4. Follow the Wizard instructions.

  5. If prompted for any configuration parameters, see Configuring DB Server Using Deployment Manager for guidelines.

The installation creates a configuration file called dbserver.conf on UNIX or dbserver.cfg on Windows. DB Server uses this configuration file for startup. If necessary, you can modify or add configuration options in this file. For more information on the DB Server configuration file, see DB Server Configuration File.

For information about DB Server configuration options and their values, refer to appropriate chapters in the Framework 7.6 Configuration Options Reference Manual.


Overview: Manual Installation

Installing DB Serve r > Installing manually

Overview: Installing Manually

To install DB Server manually:

  1. Select the platform on which DB Server is to be installed:

  • UNIX

  • Windows

  2. Set the system environment so that DB Server works correctly with a DBMS client.


Installing DB Server: on UNIX

Installing DB Server > Installing manually

Manually Installing DB Server on UNIX

To manually install DB Server on UNIX:

  1. On the Management Framework 7.6 product CD, in the appropriate services_layer/dbserver/<operating_system> directory, locate a shell script called install.sh.

  2. Run this script from the command prompt by typing sh and the file name. For example: sh install.sh. Then, press Enter.

  3. To specify the hostname for this DB Server, do one of the following:

    • Type the name of the host, and press Enter.

    • Press Enter to select the current host.

  4. To specify whether this DB Server will be dedicated to provide access to the Configuration Database, do one of the following:

    • Type y to specify that this DB Server is will provide access to the Configuration Database, and press Enter.

Warning! Do not use the DB Server that provides access to the Configuration Database for access to any other database.

    • Type n to specify that this DB Server will provide access to other databases, and press Enter. For example, a Log DB Server provides access to the Log Database.

  5. Specify the full path of the destination directory, and press Enter.

  6. If the destination directory is not empty, select one of the following options to proceed:

  • Type 1 to back up all the files in the directory, and press Enter. Specify the path to where you want the files backed up, and press Enter.

  • Type 2 to overwrite only the files in this installation package, and press Enter. Then type y to confirm your selection, and press Enter.

  • Type 3 to erase all files in this directory before continuing with the installation, and press Enter. Then type y to confirm your selection, and press Enter.

  7. Do one of the following:

    • Type y to configure DB Server (during installation), and press Enter. Go to Step 7 to specify values for the configuration file. For information about the DB Server configuration options and their values, refer to the Framework 7.6 Configuration Options Reference Manual.

    • Type n to not configure DB Server (during installation), and press Enter. In this case, you have finished installing DB Server—do not continue to the next step in this procedure. Before you can start DB Server, however, you must create a configuration file and set the configuration options in it. Go to Configuring DB Server After Installation.

  8. Enter the Configuration Server hostname, and press Enter.

  9. Enter the Configuration Server network port, and press Enter.

  10. To specify the hostname for this DB Server, do one of the following:

    • Type the name of the host, and press Enter.

    • Press Enter to select the default, which is the host selected in Step 3.

  11. To specify the network port for this DB Server, do one of the following:

    • Type the number of the network port, and press Enter.

Note: Use a port that has not been configured or assigned to another application on this workstation. The assignment of port numbers on a given workstation must be unique.

    • Press Enter to select the default port (4040).

  12. To specify the management network port for this DB Server, do one of the following:

    • Type the number of the management port, and press Enter.

Note: Use a port that has not been configured or assigned to another application on this workstation. The assignment of port numbers on a given workstation must be unique.

    • Press Enter to select the default port (4041).

The installation extracts the files from the package and displays the names of the database client processes for different types of SQL servers.

  13. Type the number corresponding to the database type, and press Enter.

When the installation process is finished, a message indicates that installation was successful. The process places DB Server in the directory that you specified during the installation process. The installation script also writes a sample configuration file called dbserver.conf.sample in the directory in which DB Server is installed.

If you chose to configure DB Server during installation, a copy of the sample configuration file dbserver.conf.sample is created and saved as dbserver.conf, and the parameters specified in Steps_8 through 13 are written to this file.

For more information about the DB Server configuration file, see DB Server Configuration File. For information about DB Server configuration options and their values, refer to the relevant chapters in the Framework 7.6 Configuration Options Reference Manual.


Installing DB Server: on Windows

Installing DB Server > Installing manually

Manually installing DB Server on Windows

To manually install DB Server on Windows:

  1. From the Management Framework 7.6 product CD, open the services_layer\dbserver\windows directory.

  2. Locate and double-click the file Setup.exe to start the Genesys Installation Wizard.

  3. On the Welcome page, click Next.

  4. On the DB Server run mode page, select one of the following:

    • DB Server as an independent server—To install DB Server at initial setup, or to have it run independently of the Configuration Server, so that it provides access to the Configuration Database.

    • DB Server as a client of Configuration Server—To install the DB Server as a client, so that it provides access to a database other than the Configuration Database, such as the Log Database.

Click Next.

  5. On the Database Engine Option page, select the appropriate database engine, and click Next.

  6. On the DB Server Parameters page, specify the DB Server Host, DB Server Port, and DB Server Management Port, and click Next.

Note: Use ports that have not been configured for, or assigned to, other applications on this workstation. The assignment of port numbers on a given workstation must be unique. The Management port must not be the same port as the Server port.

  7. On the Connection Parameters to the Genesys Configuration Server page, specify the Configuration Server Host name and Port, and click Next.

Even if the DB Server will be running independently of the Configuration Server, these parameters are required for the DB Server to start.

  8. On the Choose Destination Location page, specify the destination folder in which you want DB Server installed. You can select the default location, C:\Program Files\GCTI\DBServer, or click Browse to select another location. Click Next to set the location.

  9. On the Ready to Install page, click Install to start the installation.

  10. On the Installation Complete page, click Finish to close the Wizard.

Note: Genesys installs DB Server as a Windows Service with the autostart capability, without prompting. For more information about running Genesys products as Windows Services, see Windows Services.

The installation creates a sample configuration file called dbserver.smp and the configuration file itself, called dbserver.cfg, in the installation directory. For more information about the DB Server configuration file, see DB Server Configuration File.

For information about DB Server configuration options and their values, refer to the relevant chapters in the Framework 7.6 Configuration Options Reference Manual.


Configuring DB Server

Overview: Configuring DB Server

DB Server can run either as an independent server or as a client of Configuration Server.

The DB Server that is dedicated to the Configuration Database must run as an independent server and reads its configuration settings from a local configuration file. Any DB Server that you use for handling data other than configuration data must run as a client of Configuration Server and reads its configuration settings from the Configuration Database.

You can configure DB Server either during or after the installation process, depending on the platform, installation method, and options you selected during the installation process:

  • If you used Deployment Manager to install DB Server, the wizard might prompt you to specify information according to the guidelines in Configuring DB Server using Deployment Manager.

  • If you manually installed DB Server on UNIX, and you chose to configure DB Server during installation, you do not need to take any further action.

  • If you manually installed DB Server on UNIX, and you chose not to configure DB Server during installation, follow the steps in Configuring DB Server After Installation.

  • If you manually installed DB Server on Windows, you do not need to take any further action.

For the Management Layer to monitor DB Server, you must:

  • Specify the lcaport option in the lca section of the DB Server configuration file. (Refer to the Framework 7.6 Configuration Options Reference Manual.)

  • Configure the DB Server Application object with the name cfg_dbserver in the Configuration Database as described in Creating the DB Server Application. Do this only after you install Configuration Server and Configuration Manager and initialize the Configuration Database.

If you plan to use the Management Layer's centralized logging and auditing functionality, be sure to specify appropriate log options in the DB Server configuration file before you start using DB Server. Most importantly, enable the network log output (for example, create a new option called standard and set its value to network).

See the Framework 7.6 Configuration Options Reference Manual for more information.


configuring DB Server

Configuring DB Server Using Deployment Manager

If you are using Deployment Manager to install DB Server, specify the following values when prompted:

  • The Configuration Server Host Name and the Configuration Server Network Port. These values are used in the file run.sh for UNIX, or startServer.bat for Windows.

  • The DB Server Host Name and the DB Server Network Port. These values are saved in the file dbserver.conf for UNIX, or dbserver.cfg for Windows, and correspond to the values for the host and port configuration options, respectively, in the DB Server configuration file.

  • The DB Server Management Port. This is the Port that SNMP Option Management Client must use to connect to DB Server, and corresponds to the value of the management-port configuration option in the DB Server configuration file.

For information about DB Server configuration options and their values, refer to the relevant chapters in the Framework 7.6 Configuration Options Reference Manual.


Configuring DB Server

Configuring DB Server After Installation

If you manually installed DB Server on UNIX, and you chose not to configure DB Server during the installation process, you must create a configuration file and set the configuration options in it before you can start DB Server.

The installation script writes a sample configuration file, dbserver.conf.sample, in the directory in which Configuration Server is installed. Configure DB Server now.

  1. From the directory where DB Server is installed, open the sample configuration file (dbserver.conf.sample) in a text editor.

  2. Set the configuration options. Refer to DB Server Configuration File for a description of the DB Server configuration file, and the Framework 7.6 Configuration Options Reference Manual for mandatory options and other information.

  3. Save the sample configuration file as dbserver.conf.


Configuring DB Server

DB Server Configuration File

This file can contain the DB Server, Log, and LCA sections.

The name of the DB Server section is dbserver. It contains configuration information about DB Server: DB Server settings and the DBMS with which DB Server operates.

Note: Starting in release 7.5, you can secure the connection between Configuration Server and DB Server using the TLS protocol. Refer to the Genesys 7.6 Security Deployment Guide for more information and detailed instructions.

The name of the Log Options section is log. It contains configuration information about the log. If you plan to use the Management Layer's centralized logging and auditing functionality, be sure to specify appropriate log options. Most importantly, enable the network log output (for example, create a new option in the log section called standard and set its value to network).

The name of the LCA section is lca. If configured, this section contains an option that enables the Management Layer to control the independent DB Server that is dedicated to the Configuration Database.

Refer to the Framework 7.6 Configuration Options Reference Manual for complete descriptions of the sections and configuration options, as well as for a sample configuration file and a list of mandatory options.


installing configuration server

Overview: Installing Configuration Server

If you intend Configuration Server to operate with the Configuration Database, you must install it in Master mode, and you must configure it using a local configuration file.

Note: For information on Configuration Server's Proxy mode, which enables support for distributed configuration environments, refer to the Framework 7.6 Deployment Guide.

To install Configuration Server, use either Deployment Manager or the manual procedure.


installing configuration server

External Authentication

Management Framework supports external authentication using LDAP (Lightweight Directory Access Protocol) or RADIUS (Remote Authentication Dial In User Service) as a way to verify a user's permissions to log on to Genesys applications.

The LDAP implementation supports the following directory servers:

  • Novel E-Directory

  • IBM Tivoli Directory Server

  • Microsoft Active Directory

Deploying External Authentication

Deploy External Authentication during Configuration Server installation by following the procedures given elsewhere in this Help file:

  • If you are using Deployment Manager to install Configuration Server, select the type of External Authentication when prompted by the Wizard.

  • If you are manually installing Configuration Server on UNIX, select the type of External Authentication here.

  • If you are manually installing Configuration Server on Windows, select the type of External Authentication here.

Configuring External Authentication

To configure LDAP or RADIUS external authentication, you must modify the Configuration Server configuration file. For detailed instructions, refer to the Framework 7.6 External Authentication Reference Manual.


Overview: Installing Configuration Server with Deployment Manager

installing configuration server > Installing with Deployment Manager

Overview: Installing with Deployment Manager

To install Configuration Server using Deployment Manager:

  1. Install Deployment Manager if it has not already been installed.

  2. Install Configuration Server on either a UNIX or a Windows host.


Installing Configuration Server

installing configuration server > Installation with Deployment Manager

Installing Configuration Server using Deployment Manager

To install Configuration Server using Deployment Manager:

  1. Insert the Management Framework 7.6 product CD into the CD-ROM drive that is accessible from the computer on which you installed Deployment Manager.

  2. Start Deployment Manager from Start > Programs > Genesys Solutions > Framework > Management Framework Deployment Manager.

  3. Click Configuration Server in the list of applications to install. This launches the Configuration Server Deployment Wizard.

  4. Follow wizard instructions.

  5. If prompted for any configuration parameters, see Configuring Configuration Server Using Deployment Manager for guidelines.

Note: You can enable External Authentication using either LDAP or RADIUS during the installation.

The installation creates a configuration file called confserv.conf on UNIX, or confserv.cfg on Windows. Configuration Server uses this configuration file for startup. If necessary, you can modify or add configuration options in this file. For more information about the Configuration Server configuration file, see Configuration Server Configuration File.

For information about Configuration Server configuration options and their values, refer to appropriate chapters in the Framework 7.6 Configuration Options Reference Manual.


Overview: Manual Installation

installing configuration server > Installing manually

Overview: Installing manually

To manually install Configuration Server, select the operating system of the computer on which you want to install Configuration Server:

  • UNIX

  • Windows


Installing Configuration Server: on UNIX

installing configuration server > Manual Installation

manually installing Configuration Server on UNIX

To install Configuration Server on UNIX:

  1. On the Management Framework 7.6 product CD, locate and open the installation directory appropriate for your environment.

  • For an enterprise (single-tenant) environment, the installation directory is configuration_layer/configserver/single/<operating_system>.

  • For a multi-tenant environment, the installation directory is configuration_layer/configserver/multi/<operating_system>.

The installation script, called install.sh, is located in the appropriate directory.

  2. Run this script from the command prompt by typing sh and the file name. For example: sh install.sh. Then, press Enter.

Note: The remaining steps of this procedure are for installing a Primary Configuration Server. To finish installing a Backup Configuration Server or a Configuration Server Proxy, refer to the Framework 7.6 Deployment Guide.

  3. For the installation type, type 1 to select Configuration Server Master Primary, and press Enter.

  4. For the external authentication option, type the number corresponding to the type of external authentication that will be used (LDAP, Radius, both, or neither), and press Enter.

  5. Specify the full path of the destination directory, and press Enter.

  6. If the target install directory has files in it, do one of the following:

    • Type 1 to back up all the files in the directory, and press Enter. Specify the path to where you want the files backed up, and press Enter.

    • Type 2 to overwrite only the files in this installation package, and press Enter. Then type y to confirm your selection, and press Enter.

    • Type 3 to erase all files in this directory before continuing with the installation, and press Enter. Then type y to confirm your selection, and press Enter.

The list of file names will appear on the screen as the files are copied to the destination directory.

  7. For the product version to install, do one of the following:

    • Type 32 to select the 32-bit version, and press Enter.

    • Type 64 to select the 64-bit version, and press Enter.

  8. To configure the Configuration Server during, or after, installation, do one of the following:

    • Type y to configure Configuration Server during installation (now), and press Enter. Go to Step 9 to specify values for the configuration file. For information about the Configuration Server configuration options and their values, refer to the Framework 7.6 Configuration Options Reference Manual.

    • Type n to not configure Configuration Server during installation. In this case, you have finished installing Configuration Server—do not continue to the next step in this procedure. Before you can start Configuration Server, however, you must create a configuration file and set the configuration options in it. Go to Configuring Configuration Server After Installation.

  9. For the [confserv] section:

    1. Specify a value for the Configuration Server port, and press Enter.

    2. Specify a value the Configuration Server management port, and press Enter.

Note: Use ports that have not been configured for, or assigned to, other applications on this workstation. The assignment of port numbers on a given workstation must be unique. The Management port must not be the same port as the network port.

    3. To specify the name of the History Log file (history-log-file-name), do one of the following:

      • Specify a file name, and press Enter.

      • Press Enter to select the default name (histlog).

  10. For the [soap] section, do one of the following:

    • Specify a value for the SOAP port, and press Enter.

    • If you are not using SOAP functionality, press Enter to leave this field blank.

  11. For the [dbserver] section:

    1. Specify the name of the DB Server host, and press Enter.

    2. Specify a value for the DB Server port, and press Enter.

    3. Type the number corresponding to the database engine that this Configuration Server uses (dbengine), and press Enter.

    4. Specify the name or alias of the DBMS that handles Configuration Database (dbserver), and press Enter.

    5. To specify the name of the Configuration Database (dbname), do one of the following:

      • If you are using an Oracle database engine (that is, you typed 3 in Step c), press Enter. This value is not required for Oracle.

      • If you are using any other database engine, specify the name of the Configuration Database, and press Enter.

    6. Specify the Configuration Database username, and press Enter.

    7. To specify the Configuration Database password, do one of the following:

      • Specify the password, and press Enter.

      • Press Enter if there is no password; that is, the password is empty, with no spaces.

When the installation process is finished, a message indicates that installation was successful. The process places Configuration Server in the directory specified during the installation process. The installation script also writes a sample configuration file, confserv.sample, in the directory in which Configuration Server is installed.

If you chose Y in Step 8, the sample configuration file, confserv.sample, is renamed confserv.conf and the parameters specified in Steps 9 through 11 are written to this file.

For more information about the Configuration Server configuration file, see Configuration Server Configuration File. For information about Configuration Server configuration options and their values, refer to the Framework 7.6 Configuration Options Reference Manual.


Installing Configuration Server: on Windows

installing configuration server > Manual Installation

manually installing configuration server on Windows

To install Configuration Server on Windows:

  1. From the Management Framework 7.6 product CD, open the installation directory that is appropriate for your environment.:

  • For the enterprise (single-tenant) environment, the installation directory is configuration_layer/configserver/single/windows.

  • For the multi-tenant environment, the installation directory is configuration_layer/configserver/multi/windows.

  2. Locate and double-click the file Setup.exe to start the Genesys Installation Wizard

  3. On the Welcome page, click Next.

  4. On the Configuration Server Run Mode page, select the type of Configuration Server you are installing, and click Next.

Note: The remaining steps of this procedures are for installing a Primary Configuration Server. To install a Backup Configuration Server or a Configuration Server Proxy, refer to the Framework 7.6 Deployment Guide.

  5. On the Configuration Server Parameters page, specify the Server Port and Management Port for the Configuration Server.

Note: Use ports that have not been configured for, or assigned to, other applications on this workstation. The assignment of port numbers on a given workstation must be unique. The Management port must not be the same port as the Server port.

  5. On the same page, for the History Log, either accept the default value or specify a new Log File Name. Click Next.

  6. On the Database Engine Option page, select the database engine used by the Configuration Database, and click Next.

  7. On the DB Server Parameters screen, specify the DB Server Host, DB Server Port, SQL Server Name, and Database Name, User Name and Password. Click Next.

  8. On the Configuration Server External Authentication page, select the type of external authentication that the Configuration Server will use, or select None if the Configuration Server is not using external authentication. Click Next.

  9. On the Choose Destination Location page, specify the destination folder into which you want Configuration Server installed, or accept the default value, C:\Program Files\GCTI\<Singletenant or Multitenant> ConfigurationServer. Click Next.

  10. On the Ready to Install page, click Install to start the installation.

  11. On the Installation Complete page, click Finish to exit the Wizard.

Note: Genesys automatically installs Configuration Server as a Windows Service with the autostart capability. For more information about running Genesys products as Windows Services, see Windows Services.

Before starting Configuration Server, modify configuration options in the confserv.cfg file as needed. For more information about this file, see Configuration Server Configuration File. For information about Configuration Server configuration options and their values, refer to the Framework 7.6 Configuration Options Reference Manual.


Overview: Configuring Configuration Server

Configuring Configuration Server

Configuring Configuration Server Overview

You can configure Configuration Server either during or after the installation process, depending on the platform, installation method, and options you selected during the installation process:

  • If you used Deployment Manager to install Configuration Server, the wizard might prompt you to specify information according to the guidelines in Configuring Configuration Server Using Deployment Manager.

  • If you manually installed Configuration Server on UNIX, and you chose to configure Configuration Server during installation, you do not need to take further action.

  • If you manually installed Configuration Server on UNIX, and you chose not to configure Configuration Server during installation, follow the steps in Configuring Configuration Server After Installation.

  • If you manually installed Configuration Server on Windows, you do not need to take any further action.

For the Management Layer to monitor Configuration Server:

  • You must modify the Configuration Server Application object in the Configuration Database as described in Modifying the Configuration Server Application. Do this only after you install Configuration Server and Configuration Manager and initialize the Configuration Database.

  • In addition, if you plan to use the Management Layer's centralized logging and auditing functionality, be sure to specify appropriate log options in the Configuration Server configuration file before you start using Configuration Server. Most importantly, enable the network log output (for example, create a new option called standard and set its value to network). See the Framework 7.6 Configuration Options Reference Manual for more information.


Configuring Configuration Server with Deployment Manager

configuring configuration server

Configuring configuration Server using Deployment manager

If you are using Deployment Manager to install Configuration Server, do the following when prompted:

  • Specify values for the Configuration Server Port and Management Port.

  • Specify a new file name for the History Log, or accept the default.

  • Specify values for DB Server Host and DB Server Port.

  • Select a database engine.

  • Specify a value for dbserver (the heading for this section in the configuration file).

  • Specify the database name.

  • Specify a username.

  • Specify a password.

For information about Configuration Server configuration options and their values, refer to the relevant chapters in the Framework 7.6 Configuration Options Reference Manual.


Configuring Configuration Server

Configuring Configuration Server after installation

If you manually installed Configuration Server on UNIX, and you chose not to configure Configuration Server during the installation process, you must create a configuration file and set the configuration options in it before you can start up Configuration Server.

The installation script writes a sample configuration file, confserv.sample, in the directory in which Configuration Server is installed. To configure Configuration Server:

  1. From the directory where Configuration Server is installed, open the sample configuration file (confserv.sample) in a text editor.

  2. Set the configuration options to work with the Configuration Database and DB Server. Refer to Configuration Server Configuration File for a description of the Configuration Server configuration file, and the Framework 7.6 Configuration Options Reference Manual for the mandatory options and other information.

  3. Save the sample configuration file as confserv.conf.


Configuring Configuration Server

Configuration Server Configuration File

This file contains the Configuration Server, Configuration Database, Log, and History of Changes Adapter sections and may contain an additional section called SOAP.

The Configuration Server section contains the configuration options that define Configuration Server. The name of the section corresponds to the name of the Configuration Server Application object. For the initial installation of Configuration Server, it is called confserv by default. You can choose to rename this Configuration Server later. In all other cases, or if you rename the initial Configuration Server, the name of this section will be different. The option server in this section specifies the name of the Configuration Database section.

By default, the Configuration Database section does not have a name. Its name must have the same value as the server configuration option that you specified in the Configuration Server section. The Configuration Database section contains information about the Configuration Database and about the DB Server that is used to access this database.

Note: If you use one or more DB Servers as a backup, you must configure the same number of Configuration Database sections in the configuration file.

Note: Starting in release 7.5, you can secure the connection between Configuration Server and DB Server using the TLS protocol. Refer to the Genesys 7.6 Security Deployment Guide for more information and detailed instructions.

The name of the Log section is log. It contains configuration information about the log. If you plan to use the Management Layer's centralized logging and auditing functionality, be sure to specify appropriate log options. Most importantly, enable the network log output (for example, create a new option called standard and set its value to network).

The name of the History of Changes Adapter section is hca. It contains the configuration options that are related to the change-tracking functionality of Configuration Server. This section is applicable only if you are using Genesys Info Mart release 7.2 or earlier.

The name of the SOAP section is soap. It contains information about the Simple Object Access Protocol (SOAP) port that clients can use to access Configuration Server.

Refer to the Framework 7.6 Configuration Options Reference Manual for complete descriptions of the sections and configuration options, as well as for a sample configuration file and a list of mandatory options.


Initializing the Configuration Database

Overview: Initializing the Configuration Database

After you have created a database in your DBMS (see Prerequisites), initialize the Configuration Database:

  1. From the directory where Configuration Server is installed, open the sql_scripts folder.

  2. Open the folder that matches your database management system type.

  3. Load and execute the initialization script that corresponds to your database type:

    • enterprise (single-tenant)

    • multi-tenant

  4. Load and execute the script that loads the CfgLocale table into the initialized database, depending on your database type:

    • enterprise (single-tenant)

    • multi-tenant

For information about environment settings for your database client, see the Framework 7.6 DB Server User’s Guide.

Note: Consider using the Genesys Database Initialization Wizard, found on the Management Framework product CD, when initializing the Configuration Database during the Framework deployment process.


Initializing the Configuration Database

Enterprise Database Scripts

This table presents scripts that you can use for an enterprise database.

Database Type | Initialization Script Name | CfgLocale Script Name
DB2 | init_single_db2.sql | CfgLocale_db2.sql
Informix | init_single_ifx.sql | CfgLocale_ifx.sql
Microsoft SQL | init_single_mssql.sql | CfgLocale_mssql.sql
Oracle | init_single_ora.sql | CfgLocale_ora.sql
Sybase | init_single_syb.sql | CfgLocale_syb.sql


Initializing the Configuration Database

Multi-Tenant Database Scripts

This table presents scripts you can use for a multi-tenant database.

Database Type | Initialization Script Name | CfgLocale Script Name
DB2 | init_multi_db2.sql | CfgLocale_db2.sql
Informix | init_multi_ifx.sql | CfgLocale_ifx.sql
Microsoft SQL | init_multi_mssql.sql | CfgLocale_mssql.sql
Oracle | init_multi_ora.sql | CfgLocale_ora.sql
Sybase | init_multi_syb.sql | CfgLocale_syb.sql


Initializing the Configuration Database

DBMS Adjustment

You must install and configure an SQL Server client for each database type.

Refer to the Framework 7.6 DB Server User's Guide for recommendations on environment configuration.


About the Initialized Database

Initializing the Configuration Database

About the Initialized Configuration Database

The Configuration Database contains the following predefined objects, which allow initial access to the database through Configuration Manager:

  • A Person with the user name set to default and password set to password.

    This is the Master Account that is used to log into the Configuration Layer for the first time. If you are logged in through this Master Account, you have all possible privileges with respect to objects in the Configuration Database.

    The Master Account cannot be destroyed or deprived of any privileges and should not be used to perform regular contact center administrative tasks. Rather, it exists as a guarantee that no matter what happens to the regular accounts, you will always be able to access the Configuration Database.

    Genesys recommends that you change the Master Account's default user name and password during the first session, secure these login parameters, and use the Master Account only for emergency purposes. For regular operations, create a real working account and add it to the Access Group Super Administrators. (By default, this Access Group has the same privileges as the Master Account.) Use this working account during subsequent sessions.

  • An Application Template for Configuration Manager.

  • An Application Template for Configuration Server.

  • A Configuration Manager Application with the name set to default.

    When you run Configuration Manager for the first time, you must specify this name in the Application property field under Details in the Login dialog box. Consider changing the name of this application during the first session.

  • A Configuration Server Application with the name set to confserv.

  • The default Access Groups: Users, Administrators, and Super Administrators. For more information, refer to the Framework 7.6 Deployment Guide.

  • Folders for all types of objects that the Configuration Layer manages.

  • An Installation Configuration Utility Application named ITCUtility. This utility supports configuration updates during installation processes for Genesys components. No additional configuration is needed.

The Configuration Database also contains a number of other predefined objects (for example, Alarm Conditions) that help you set up some Genesys functionality when you deploy other Framework and solution components.


Starting DB Server

To start DB Server as an independent server, configure a configuration file as described in Configuring DB Server; DB Server uses this file for startup. Be sure your DBMS is running.

Although DB Server starts before Configuration Server, you must specify Configuration Server's host and port parameters in the command line in order for DB Server to start. Specify cfg_dbserver as a value for the -app command line parameter (DB Server Application name).

On UNIX

Go to the directory where DB Server is installed and do one of the following:

  • To use only the required command-line parameters, enter the following command line:

sh run.sh

  • To specify the command line yourself, enter the following command line:

multiserver -host <Configuration Server host> -port <Configuration Server port> -app <DB Server Application>

On Windows

Do one of the following:

  • Use the Windows Start > Programs menu.

  • To use only the required command-line parameters, go to the directory where Configuration Server is installed, and double-click the file startServer.bat.

  • To specify the command line yourself, go to the directory where DB Server is installed, and enter the following command line:

multiserver.exe -host <Configuration Server host> -port <Configuration Server port> -app <DB Server Application>


Starting Configuration Server

To start Configuration Server,

  • Be sure that you have configured the configuration file for Configuration Server, either during or after installation. Configuration Server will use this file for startup.

  • Be sure DB Server is running.

Note: Use the -c command line option to point Configuration Server to a configuration file with a name other than the default name (confserv.conf on UNIX or confserv.cfg on Windows). For example:

confserv -c <configuration file name>

On UNIX

Go to the directory where Configuration Server is installed, and do one of the following:

  • To use only the required command-line parameters, enter the following command line:

sh run.sh

  • To specify the command line yourself, or to use the additional command-line parameter -c, enter the following command line:

confserv [-c <configuration file name>]

On Windows

Do one of the following:

  • Use the Start > Programs menu.

  • To use only the required command-line parameters, go to the directory where Configuration Server is installed, and double-click the file startServer.bat.

  • To specify the command line yourself, or to use the additional command-line parameter -c, open the MS-DOS window, go to the directory where Configuration Server is installed, and enter the following command line:

confserv.exe [-c <configuration file name>]


Installing Configuration Manager

Configuration Manager operates only on Windows.

To install Configuration Manager:

  1. From the Management Framework 7.6 product CD, open the configuration_layer_interfaces\configmanager\windows directory.

  2. Locate and double-click the file Setup.exe to start the Installation Wizard.

  3. Click Next on the Welcome screen.

  4. On the Security Banner Configuration screen, do one of the following:

    • If you do not want to use a Security Banner, ensure that the Enable Security Banner check box is cleared and click Next.

    • If you want to use a Security Banner, check the Enable Security Banner check box, click Next, then provide the required information. For detailed instructions and information, refer to the Framework 7.6 Deployment Guide, and the Genesys 7.6 Security Deployment Guide.

  5. Specify the destination directory into which you want Configuration Manager installed, or accept the default, which is C:\Program Files\GCTI\Configuration Manager.

  6. When prompted, click Finish to complete the installation.

When the setup program is finished, Configuration Manager is ready to run.


Starting Configuration Manager

To start Configuration Manager:

  1. Select Configuration Manager from the Start > Programs menu, or double-click the Sce.exe icon in the directory where Configuration Manager is installed.

  2. Enter information in the Login dialog box as described in Login Procedure.

The first time you run Configuration Manager, some objects are already defined in the Configuration Database. At a minimum, the user name used to log in to Configuration Manager is visible under the Persons folder. The instance of Configuration Manager defined in Applications, and the Application Template that has been used to create this instance also appear.

See About the Installed Configuration Database for more information.


Login Procedure

When you start a Framework GUI application, or if you are being forced to log in again after an extended period of inactivity, a Login dialog box opens. The Configuration Layer checks the information that you specified in the Login dialog box and determines what permissions you have to view, create, and modify objects in the Configuration Database.

In a Login dialog box:

  1. Enter your user name. If you are logging in to the Configuration Layer for the first time, use the Master Account user name, which is default. After you have added the appropriate configuration objects of the Person type to the configuration, use a customized user name.

  2. Enter your user password. If you are logging in to the Configuration Layer for the first time, use the Master Account password, which is password. After you have added the appropriate configuration objects of the Person type to the configuration, use a customized password.

  3. Click Details if the Details pane is not displayed.

  4. Enter the Application name, which is the instance of the application you are logging in to as it is registered in the Configuration Database.

Note: The predefined name of the Configuration Manager Application is default. You can rename the Configuration Manager Application later.

  5. Enter a Host name, which is the name of the computer on which Configuration Server runs.

  6. Enter a Port number, which is the communication port that client applications must use to connect to Configuration Server.


Modifying the Configuration Server Application

The Configuration Server Application is preconfigured in the Configuration Database.

In order for the Management Layer to control the Configuration Server, you must make the following changes in the Configuration Server Application after starting Configuration Manager:

  1. Go to the Configuration Manager window.

  2. Create a Host object for the computer on which Configuration Server runs.

  3. Open the Properties dialog box of the Configuration Server Application.

  4. On the Server Info tab, click Browse and select the Host that you created in Step 2.

  5. On the Start Info tab, define the Working Directory and Command Line properties for the primary Configuration Server.

  6. Click OK to save your changes.


Creating the DB Server Application

In order for the Management Layer to control the DB Server, you must create a DB Server Application:

  1. Go to the Configuration Manager main window.

  2. If a Host object does not exist for the computer where DB Server runs, create one.

  3. Open the Application Templates folder and locate the DB Server template. If the template is absent, import one from the Management Framework 7.6 product CD.

  4. Select the Applications folder.

  5. Select File > New > Application, which opens the Browse dialog box with the available Application Templates. Choose the template that corresponds to the version of DB Server you are using.

  6. On the General tab of the Properties dialog box, specify the Application name. Because you are creating an Application for the primary DB Server that is dedicated to the Configuration Database, name the Application cfg_dbserver.

  7. On the Server Info tab of the Properties dialog box, specify the Host that you created in Step 2.

  8. On the same tab, specify the port that DB Server clients must use to connect to DB Server.

  9. On the Start Info tab of the Properties dialog box, specify Working Directory and Command Line properties. For descriptions of the command-line parameters specific to DB Server, refer to the Framework 7.6 Deployment Guide.

  10. On the Start Info tab, select Auto-Restart if required.

  11. Click OK to save the configuration data.


Licensing

Before you begin configuring and installing other Framework components, keep in mind that Genesys applications require licenses.

Once you have set up the Configuration Layer, Genesys recommends that you install License Manager and configure license files. For information on the product licenses and the installation procedure for License Manager, refer to Genesys 7 Licensing Guide.


Using Wizard Manager

Wizard Manager is the wizard that you use to configure Genesys solutions, including Management Framework. In Wizard Manager, you select the solution that you want to configure, and Wizard Manager launches the appropriate Genesys Configuration Wizard.

To install Wizard Manager, install the Management Framework Configuration Wizard on the host computer for Configuration Manager. This automatically installs Wizard Manager, which guides you through the installation process for Genesys components (except those components that are installed as a part of the Framework initial setup) and the configuration of the Configuration Database objects. Use the Framework 7.6 Deployment Guide to gather the contact center–specific information you need to successfully create the Framework configuration.

The first time you run Wizard Manager, Genesys recommends that you:

  1. Deploy the Management Layer using the Management Layer Wizard.

  2. Configure a Switch object and its associated T-Server by doing the following:

    1. Install the Media Configuration Wizard from the appropriate Media CD.

    2. Click on Switch object and deploy associated T-Server.

  3. Configure the required DNs and Places, Agent Logins, Agent Groups, and Place Groups.

After you have completed the configuration and deployment process, the Framework Solution is configured.

Note: Genesys recommends that you create only those entities that you plan to use in the current configuration. The more data in the Configuration Database, the longer it takes the CTI setup to start, and the longer it takes to process configuration data.

For more information about Wizard Manager and the Configuration Wizards, see the Framework 7.6 Deployment Guide.